Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.output
Class ChurnPageMaker

    java.lang.Object
      net.sf.statcvs.output.ChurnPageMaker

    public class ChurnPageMaker

extends java.lang.Object

A LOC and Churn Chart shows both the LOC and the number of lines touched per day, this allows you to see the evolution of lines of code and the amount of changes. A flat LOC with a lot of Churn implies a lot of refactoring, an increase in LOC in line with churn implies new functionality.

Author:
  Benoit Xhenseval (www.ObjectLab.co.uk)

Constructor Summary
`ChurnPageMaker(ReportConfig config)`

Method Summary
`NavigationNode` | `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChurnPageMaker

    public ChurnPageMaker(ReportConfig config)

See Also:
  `net.sf.statcvs.output.HTMLPage#HTMLPage(Repository)`

Method Detail

### toFile

    public NavigationNode toFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD